## xl2tpd 1.2.0+dfsg

=== Makefile ===
--- 
+++ 
@@ -30,24 +30,36 @@
 #
 # Defining TRUST_PPPD_TO_DIE disables a workaround for broken pppds. Do NOT
 # define this unless you fully trust your version of pppd to honour SIGTERM. 
-# See: http://bugs.xelerance.com/view.php?id=739
+# However, if you experience hanging pppd's, which cause xl2tpd to also hang,
+# enable this. 
+# The cost of not trusting pppd to die (and shoot it down hard), is that your
+# pppd's ip-down scripts will not have a chance to run.
+#
+# For more details see: http://bugs.xelerance.com/view.php?id=739
+#
 # Confirmed bad versions of pppd:
 # - ppp-2.4.2-6.4.RHEL4
+# Confirmed good version of pppd:
+# - recent Ubuntu/Debian pppd's
+#
 # -DTRUST_PPPD_TO_DIE 
-#
+
 DFLAGS= -DDEBUG_PPPD
 #DFLAGS= -g -DDEBUG_HELLO -DDEBUG_CLOSE -DDEBUG_FLOW -DDEBUG_PAYLOAD -DDEBUG_CONTROL -DDEBUG_CONTROL_XMIT -DDEBUG_FLOW_MORE -DDEBUG_MAGIC -DDEBUG_ENTROPY -DDEBUG_HIDDEN -DDEBUG_PPPD -DDEBUG_AAA -DDEBUG_FILE -DDEBUG_FLOW -DDEBUG_HELLO -DDEBUG_CLOSE -DDEBUG_ZLB -DDEBUG_AUTH
 #
-# Uncomment the next line for Linux
+# Uncomment the next line for Linux. KERNELSRC is needed for if_pppol2tp.h,
+# but we use a local copy if we don't find it.
 #
-OSFLAGS= -DLINUX
+#KERNELSRC=/lib/modules/`uname -r`/build/
+KERNELSRC?=./linux
+OSFLAGS= -DLINUX -I$(KERNELSRC)/include/
 #
 # Uncomment the following to use the kernel interface under Linux
 # This requires the pppol2tp-linux-2.4.27.patch patch from contrib
 # or a 2.6.23+ kernel. On some distributions kernel include files
 # are packages seperately (eg kernel-headers on Fedora)
 #
-#OSFLAGS+= -DUSE_KERNEL
+OSFLAGS+= -DUSE_KERNEL
 #
 # Uncomment the next line for FreeBSD
 #
@@ -90,7 +102,8 @@
 
 install: ${EXEC}
 	install -D --mode=0755 ${EXEC} ${DESTDIR}/${BINDIR}/${EXEC}
-	install -d --mode=0755 ${DESTDIR}/${MANDIR}/man{5,8}
+	install -d --mode=0755 ${DESTDIR}/${MANDIR}/man5
+	install -d --mode=0755 ${DESTDIR}/${MANDIR}/man8
 	install --mode=0644 doc/xl2tpd.8 ${DESTDIR}/${MANDIR}/man8/
 	install --mode=0644 doc/xl2tpd.conf.5 doc/l2tp-secrets.5 \
 		${DESTDIR}${MANDIR}/man5/
