## xl2tpd 1.2.4+dfsg

=== Makefile ===
--- 
+++ 
@@ -27,6 +27,7 @@
 #
 # -DTEST_HIDDEN makes Assigned Call ID sent as a hidden AVP
 #
+# -DTRUST_PPPD_TO_DIE 
 #
 # Defining TRUST_PPPD_TO_DIE disables a workaround for broken pppds. Do NOT
 # define this unless you fully trust your version of pppd to honour SIGTERM. 
@@ -42,24 +43,27 @@
 # Confirmed good version of pppd:
 # - recent Ubuntu/Debian pppd's
 #
-# -DTRUST_PPPD_TO_DIE 
+# ppp 2.4.3 sends a SIGTERM after 5 seconds, so it should be safe to
+# trust pppd. This work around will be removed in the near future.
 
-DFLAGS= -DDEBUG_PPPD
-#DFLAGS= -g -DDEBUG_HELLO -DDEBUG_CLOSE -DDEBUG_FLOW -DDEBUG_PAYLOAD -DDEBUG_CONTROL -DDEBUG_CONTROL_XMIT -DDEBUG_FLOW_MORE -DDEBUG_MAGIC -DDEBUG_ENTROPY -DDEBUG_HIDDEN -DDEBUG_PPPD -DDEBUG_AAA -DDEBUG_FILE -DDEBUG_FLOW -DDEBUG_HELLO -DDEBUG_CLOSE -DDEBUG_ZLB -DDEBUG_AUTH
-#
+# DFLAGS= -g -DDEBUG_HELLO -DDEBUG_CLOSE -DDEBUG_FLOW -DDEBUG_PAYLOAD -DDEBUG_CONTROL -DDEBUG_CONTROL_XMIT -DDEBUG_FLOW_MORE -DDEBUG_MAGIC -DDEBUG_ENTROPY -DDEBUG_HIDDEN -DDEBUG_PPPD -DDEBUG_AAA -DDEBUG_FILE -DDEBUG_FLOW -DDEBUG_HELLO -DDEBUG_CLOSE -DDEBUG_ZLB -DDEBUG_AUTH
+DFLAGS?= -DDEBUG_PPPD -DTRUST_PPPD_TO_DIE
+
 # Uncomment the next line for Linux. KERNELSRC is needed for if_pppol2tp.h,
 # but we use a local copy if we don't find it.
 #
 #KERNELSRC=/lib/modules/`uname -r`/build/
 KERNELSRC?=./linux
-OSFLAGS= -DLINUX -I$(KERNELSRC)/include/
+OSFLAGS?= -DLINUX -I$(KERNELSRC)/include/
 #
 # Uncomment the following to use the kernel interface under Linux
 # This requires the pppol2tp-linux-2.4.27.patch patch from contrib
 # or a 2.6.23+ kernel. On some distributions kernel include files
 # are packages seperately (eg kernel-headers on Fedora)
+# Note: 2.6.23+ support still needs some changes in the xl2tpd source
 #
-OSFLAGS+= -DUSE_KERNEL
+#OSFLAGS+= -DUSE_KERNEL
+#
 #
 # Uncomment the next line for FreeBSD
 #
@@ -73,7 +77,12 @@
 #CC=gcc
 #OSFLAGS= -DSOLARIS
 #OSLIBS= -lnsl -lsocket
+
+# Uncomment the next two lines for OpenBSD
 #
+#OSFLAGS= -DOPENBSD
+#LDLIBS= -lutil
+
 # Feature flags
 #
 # Comment the following line to disable xl2tpd maintaining IP address
@@ -87,26 +96,46 @@
 SRCS=${OBJS:.o=.c} ${HDRS}
 #LIBS= $(OSLIBS) # -lefence # efence for malloc checking
 EXEC=xl2tpd
-BINDIR=/usr/sbin
-MANDIR=/usr/share/man
-all: $(EXEC)
+
+PREFIX?=/usr/local
+SBINDIR?=$(DESTDIR)${PREFIX}/sbin
+BINDIR?=$(DESTDIR)${PREFIX}/bin
+MANDIR?=$(DESTDIR)${PREFIX}/share/man
+
+
+all: $(EXEC) pfc
 
 clean:
-	rm -f $(OBJS) $(EXEC)
+	rm -f $(OBJS) $(EXEC) pfc.o pfc
 
 $(EXEC): $(OBJS) $(HDRS)
 	$(CC) $(LDFLAGS) -o $@ $(OBJS) $(LDLIBS)
 
+pfc:
+	$(CC) $(CFLAGS) -c contrib/pfc.c
+	$(CC) $(LDFLAGS) -lpcap $(LDLIBS) -o pfc pfc.o
+
 romfs:
 	$(ROMFSINST) /bin/$(EXEC)
 
-install: ${EXEC}
-	install -D --mode=0755 ${EXEC} ${DESTDIR}/${BINDIR}/${EXEC}
-	install -d --mode=0755 ${DESTDIR}/${MANDIR}/man5
-	install -d --mode=0755 ${DESTDIR}/${MANDIR}/man8
-	install --mode=0644 doc/xl2tpd.8 ${DESTDIR}/${MANDIR}/man8/
-	install --mode=0644 doc/xl2tpd.conf.5 doc/l2tp-secrets.5 \
-		${DESTDIR}${MANDIR}/man5/
+install: ${EXEC} pfc
+	install -d -m 0755 ${SBINDIR}
+	install -m 0755 $(EXEC) ${SBINDIR}/$(EXEC)
+	install -d -m 0755 ${MANDIR}/man5
+	install -d -m 0755 ${MANDIR}/man8
+	install -m 0644 doc/xl2tpd.8 ${MANDIR}/man8/
+	install -m 0644 doc/xl2tpd.conf.5 doc/l2tp-secrets.5 \
+		 ${MANDIR}/man5/
+	# pfc
+	install -d -m 0755 ${BINDIR}
+	install -m 0755 pfc ${BINDIR}/pfc
+	install -d -m 0755 ${MANDIR}/man1
+	install -m 0644 contrib/pfc.1 ${MANDIR}/man1/
+
+# openbsd
+#	install -d -m 0755 /var/run/xl2tpd
+#	mkfifo /var/run/l2tp-control
+
 
 TAGS:	${SRCS}
 	etags ${SRCS}
