=== debian/changelog ===
xl2tpd (1.2.6+dfsg-1) unstable; urgency=low

  * New upstream release
  * Switch to dpkg-source 3.0 (quilt) format 
  * Update to Standards-Version 3.8.4 (no changes)
  * Add $remote_fs to Required-Start/Required-Stop in init script

 -- Roberto C. Sanchez <roberto@connexer.com>  Sat, 05 Jun 2010 21:10:17 -0400

xl2tpd (1.2.5+dfsg-1) unstable; urgency=low

  * New upstream release
  * Remove unnecessary README.source since dpatch was dropped
  * Update to Standards-Version 3.8.3

 -- Roberto C. Sanchez <roberto@connexer.com>  Sun, 24 Jan 2010 15:23:17 -0500

xl2tpd (1.2.4+dfsg-1) unstable; urgency=low

  * New upstream release (Closes: #494795)
  * Update to Standards-Version 3.8.1
    + Add README.source
    + Fix watch file to use dversionmangle instead of uversionmangle
  * Update copyright file to new proposed format
  * Drop debian/patches/02_trust_pppd_to_die.dpatch (included upstream)
  * Add build-time dependency on libpcap0.8-dev
  * Make lintian happy:
    + Move creation of directory in /var/run to daemon start time
  * Drop l2tpd transitional package

 -- Roberto C. Sanchez <roberto@connexer.com>  Fri, 13 Mar 2009 09:58:54 -0400

xl2tpd (1.2.0+dfsg-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/01_fix_makefile_bashism.dpatch: Remove, included upstream

 -- Roberto C. Sanchez <roberto@connexer.com>  Mon, 31 Mar 2008 17:02:47 -0400

xl2tpd (1.1.12.dfsg.1-4) unstable; urgency=low

  * Ship examples (Closes: #466512)
  * Trust pppd to die properly (Closes: #466057)
  * Update watch file and automate repacking upstream tarball.

 -- Roberto C. Sanchez <roberto@connexer.com>  Sat, 08 Mar 2008 21:25:41 -0500

xl2tpd (1.1.12.dfsg.1-3) unstable; urgency=low

  * Update to Standards-Version 3.7.3 (no changes required)
  * Fix Makefile bashism, thanks to Luca Falavigna (Closes: #453046)
  * Make sure conffiles are not left behind (Closes: #455023)

 -- Roberto C. Sanchez <roberto@connexer.com>  Sun, 20 Jan 2008 21:13:52 -0500

xl2tpd (1.1.12.dfsg.1-2) unstable; urgency=low

  * debian/control: Switch Homepage to be a proper control field.
  * debian/xl2tpd.init: Add --oknodo for stop action (Closes: #447990)

 -- Roberto C. Sanchez <roberto@connexer.com>  Sun,  4 Nov 2007 14:47:30 -0500

xl2tpd (1.1.12.dfsg.1-1) unstable; urgency=low

  * New upstream release
  * Repack upsteam tarball: remove non-free RFC and shipped debian/ directory

 -- Roberto C. Sanchez <roberto@connexer.com>  Sat, 20 Oct 2007 09:46:16 -0400

xl2tpd (1.1.11.dfsg.1-2) unstable; urgency=low

  * Added missing copyright notices.

 -- Roberto C. Sanchez <roberto@connexer.com>  Fri,  3 Aug 2007 14:13:23 -0400

xl2tpd (1.1.11.dfsg.1-1) unstable; urgency=low

  * Initial release (Closes: #427113, 402660)
  * Make l2tpd obsolete (Closes: #358799)
  * Repackage upstream tarball to remove non-free RFC (Closes: #393381)

 -- Roberto C. Sanchez <roberto@connexer.com>  Tue, 31 Jul 2007 20:57:23 -0400
