=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Roberto C. Sanchez <roberto@connexer.com>
 Homepage: http://www.xelerance.com/software/xl2tpd/
 Build-Depends: debhelper (>= 5), libpcap0.8-dev
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 
 Package: xl2tpd
 Architecture: any
