## xl2tpd 1.2.8+dfsg

=== Makefile ===
--- 
+++ 
@@ -113,7 +113,7 @@
 
 pfc:
 	$(CC) $(CFLAGS) -c contrib/pfc.c
-	$(CC) $(LDFLAGS) -lpcap $(LDLIBS) -o pfc pfc.o
+	$(CC) $(LDFLAGS) -o pfc pfc.o -lpcap $(LDLIBS)
 
 romfs:
 	$(ROMFSINST) /bin/$(EXEC)
