=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 Maintainer: Roberto C. Sanchez <roberto@connexer.com>
 Homepage: http://www.xelerance.com/software/xl2tpd/
 Build-Depends: debhelper (>= 5), libpcap0.8-dev
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 
 Package: xl2tpd
 Architecture: any
 Provides: l2tpd
 Replaces: l2tpd (<< ${source:Version})
 Depends: ${shlibs:Depends}, ${misc:Depends}, ppp
-Description: a layer 2 tunneling protocol implementation
+Description: layer 2 tunneling protocol implementation
  xl2tpd is an open source implementation of the L2TP tunneling
  protocol (RFC2661).  xl2tpd is forked from l2tpd and is maintained by
  Xelerance Corporation.
