=== debian/watch ===
version=3

opts="dversionmangle=s/\+dfsg//,uversionmangle=s/rc/\~rc/" ftp://ftp.xelerance.com/xl2tpd/xl2tpd-(.*)\.tar\.gz debian debian/repack.sh
