=== debian/changelog ===
xl2tpd (1.3.8+dfsg-1~bpo8+1) jessie-backports; urgency=medium

  * Upload newer upstream release to jessie-backports.
  * Lower compat to 9, 10 is not actually needed.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 12 Feb 2017 12:36:16 +0100

xl2tpd (1.3.8+dfsg-1) unstable; urgency=medium

  * New upstream release (Closes: #760602, #842346).
  * Package adopted by Samir (Closes: #786810)
  * control:
    - Bump policy version (no change).
    - Add missing lsb-base dependency.
  * compat: Bump to 10.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 04 Dec 2016 21:17:35 +0100

xl2tpd (1.3.6+dfsg-4) unstable; urgency=medium

  * QA upload.
  * rules: Enable USE_KERNEL, like upstream now does (Closes: #542521)

 -- Samuel Thibault <sthibault@debian.org>  Fri, 27 Nov 2015 22:40:47 +0100

xl2tpd (1.3.6+dfsg-3) unstable; urgency=low

  * Orphan package, set maintainer to Debian QA Group

 -- Roberto C. Sanchez <roberto@connexer.com>  Mon, 25 May 2015 14:40:47 -0400
