=== debian/changelog ===
xl2tpd (1.3.10-1ubuntu1) bionic; urgency=medium

  * Fix ENODEV errors with linux kernel 4.15 (LP: #1760796)
    - d/p/fix-for-enodev.patch: cherry-pick patch from upstream to no
      longer attempt to obtain IP_PKTINFO by default.

 -- Billy Olsen <billy.olsen@canonical.com>  Thu, 12 Jul 2018 12:07:29 -0700

xl2tpd (1.3.10-1) unstable; urgency=medium

  * New upstream release.
    - Drops the non-free RFC, so no need for +dfsg suffix any more.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 22 Oct 2017 19:26:04 +0200
