## xl2tpd 1.3.12

=== packaging/openwrt/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 include $(TOPDIR)/rules.mk
 
 PKG_NAME:=xl2tpd
-PKG_VERSION:=1.3.10
+PKG_VERSION:=1.3.12
 PKG_RELEASE:=1
 PKG_MD5SUM:=ab5656eb5a3d1973f7f69b039675332e-NEEDSUPDATING
