=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Uploaders: Samuel Thibault <sthibault@debian.org>
 Homepage: https://www.xelerance.com/software/xl2tpd/
 Vcs-Browser: https://github.com/xelerance/xl2tpd
-Vcs-Git: git://github.com/xelerance/xl2tpd.git
-Build-Depends: debhelper (>= 9), libpcap0.8-dev
+Vcs-Git: https://github.com/xelerance/xl2tpd.git
+Build-Depends: debhelper (>= 10), libpcap0.8-dev
 Standards-Version: 3.9.8
 
 Package: xl2tpd
