=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/xl2tpd-$1\.tar\.gz/ \
  https://github.com/xelerance/xl2tpd/tags .*/v?(\d\S+)\.tar\.gz
