=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: xl2tpd
 Section: net
 Priority: optional
-Maintainer: Samir Hussain <shussain@xelerance.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Samir Hussain <shussain@xelerance.com>
 Uploaders: Samuel Thibault <sthibault@debian.org>
 Homepage: https://www.xelerance.com/software/xl2tpd/
 Vcs-Browser: https://github.com/xelerance/xl2tpd
 Vcs-Git: https://github.com/xelerance/xl2tpd.git
-Build-Depends: debhelper (>= 10), libpcap0.8-dev
-Standards-Version: 3.9.8
+Build-Depends: debhelper-compat (= 12), libpcap0.8-dev
+Standards-Version: 4.5.0
 
 Package: xl2tpd
 Architecture: any
