## xl2tpd 1.3.17

=== debian/changelog ===
xl2tpd (1.3.17-1) unstable; urgency=medium

  [ Samir Hussain ]
  * New upstream release.

  [ Samuel Thibault ]
  * control: Fix branch of Vcs-Git.
  * Play cat and mice again with lintian warning suppression.
  * control: Bump Standards-Version to 4.6.0 (no change)
  * control: Make Multi-Arch: foreign.
  * watch: Turn rc version piece into ~rc.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 17 Sep 2022 21:37:04 +0200
