=== debian/changelog ===
xl2tpd (1.3.18-1) unstable; urgency=medium

  * New upstream release.

 -- Samir Hussain <shussain@xelerance.com>  Tue, 01 Nov 2022 16:42:39 -0400
