=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: xl2tpd
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Samir Hussain <shussain@xelerance.com>
+Maintainer: Samir Hussain <shussain@xelerance.com>
 Uploaders: Samuel Thibault <sthibault@debian.org>
 Homepage: https://www.xelerance.com/software/xl2tpd/
 Vcs-Browser: https://github.com/xelerance/xl2tpd
-Vcs-Git: https://github.com/xelerance/xl2tpd.git
+Vcs-Git: https://github.com/xelerance/xl2tpd.git -b debian-sid
 Build-Depends: debhelper-compat (= 12), libpcap0.8-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 
 Package: xl2tpd
 Architecture: any
+Multi-Arch: foreign
 Provides: l2tpd
 Depends: ${shlibs:Depends}, ${misc:Depends}, ppp, lsb-base (>= 3.0-6)
 Description: layer 2 tunneling protocol implementation
